#ifndef MENUMODULE_H
#define MENUMODULE_H
#define DEBUG_MENUMODULE 0 // DEBUG模式开关，代码上线之前务必关掉
#include <QObject>
#include <QWidget>
#include <QMenu>
#include <QPushButton>
#include <QToolButton>
#include <QDebug>
#include <QString>
#include <QLabel>
#include <QVBoxLayout>
#include <QUrl>
#include <QHBoxLayout>
#include <QDesktopServices>
#include <QRect>
#include <QScreen>
#include <QMetaEnum>
#include <QApplication>
#include <QFont>
#include "controller/interaction.h"
#include <kmenubutton.h>
class menuModule : public QWidget
{
    Q_OBJECT
public:
    explicit menuModule(QWidget *);
    ~menuModule();

Q_SIGNALS:
    void menuModuleClose();      //从标题栏点击退出的信号
    void openSignal();           //从标题栏进行打开图片的信号
    void aboutShow();            //打开关于，主界面两栏的显示情况
    void helpShow(QString appName);//打开帮助
    void setFontSizeSignal(int); //字体变化
    void exitAppFromMenu();

public:
    QToolButton *menuButton = nullptr;
    QMenu *m_menu = nullptr;

private:
    QMenu *m_themeMenu = nullptr;
    enum typeThemeStatus { themeAuto = 0, themeBlackOnly = 1, themeLightOnly = 2 } themeStatus;
    QFont m_ft; //固定字号
    QGSettings *m_fontSize = nullptr;

private:
    void init();
    void initAction();
    void triggerMenu(QAction *act);      //主菜单动作4
    void triggerThemeMenu(QAction *act); //主题动作
    void updateMenuActionState();
};

#endif // MENUMODULE_H
